NamedPermission (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.security
Class NamedPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              javacardx.security.NamedPermission

    @TransactionType(value=NOT_SUPPORTED)
    public final class NamedPermission

extends BasicPermission

This class is for named permissions. A NamedPermission contains a name (also referred to as a "target name") but no actions list; the named permission is either granted or not. This class is a concrete implementation of the `BasicPermission` class.

The target name is the name of the permission. The naming convention follows the hierarchical property naming convention. Also, an asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match. For example: "crypto.*" or "*" is valid, "*crypto" or "c*o" is not valid.

Since:
  Java Card 3.0
See Also:
  `BasicPermission`, `Permission`, `AccessController`, `AccessControlException`

Constructor Summary
`NamedPermission(String name)` Creates a new NamedPermission with the specified name.

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies`

Methods inherited from class java.security.Permission
`getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedPermission

    public NamedPermission(String name)

  Creates a new NamedPermission with the specified name. The name is the symbolic name of the NamedPermission, such as "crypto.encrypt", "crypto.decrypt", etc. An asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match such as "crypto.*".

  Parameters:
    `name` - the name of the NamedPermission.
  Throws:
    `NullPointerException` - if `name` is `null`.
    `SecurityException` - if `name` is not accessible in the caller's context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.